=== src/converter/CMakeLists.txt ===
if(BUILD_CONVERTER)
  #  if(WITH_HDF5 AND WITH_BOOST)
  #      find_package(Boost 1.47 REQUIRED COMPONENTS program_options)
  #      message(STATUS "adding FORMAT CONVERTER")
  #      add_executable(opengm1TOopengm2 opengm1TOopengm2.cxx ${headers})
  #      target_link_libraries(opengm1TOopengm2 ${HDF5_CORE_LIBRARY} ${Boost_PROGRAM_OPTIONS_LIBRARY})
  #      if(UNIX)
  #          find_library(RT rt)
  #          target_link_libraries(opengm1TOopengm2 rt)
  #      endif(UNIX)
  #      INSTALL_TARGETS(/bin/converter opengm1TOopengm2)
  #  else()
  #      message(STATUS "Not building format converter **")
  #  endif()

    if(WITH_HDF5)    
      add_executable(opengm2uai opengm2uai.cxx ${headers})
      target_link_libraries(opengm2uai ${HDF5_LIBRARIES})  
      INSTALL_TARGETS(/bin/converter opengm2uai)
      
      add_executable(uai2opengm uai2opengm.cxx ${headers})
      target_link_libraries(uai2opengm ${HDF5_LIBRARIES})  
      INSTALL_TARGETS(/bin/converter uai2opengm)
      
      add_executable(partition2potts partition2potts.cxx ${headers})
      target_link_libraries(partition2potts ${HDF5_LIBRARIES})   
      INSTALL_TARGETS(/bin/converter partition2potts) 

      add_executable(brain brain.cxx ${headers})
      target_link_libraries(brain ${HDF5_LIBRARIES})   
      INSTALL_TARGETS(/bin/converter brain)
      
      add_executable(opengm2wudag opengm2wudag.cxx ${headers})
      target_link_libraries(opengm2wudag ${HDF5_LIBRARIES})   
      INSTALL_TARGETS(/bin/converter opengm2wudag)
    
    endif()
endif()
