=== src/interfaces/matlab/opengm/CMakeLists.txt ===
add_subdirectory(mex-src)
add_subdirectory(matlab-examples)
