=== debian/changelog ===
opengm (2.3.6-2) unstable; urgency=medium

  [Andreas Tille]
  * Change source package priority to optional.

  [Ghislain Antony Vaillant]
  * gbp.conf: no patch numbering with gbp-pq.
  * Add patch fixing execution of testsuite on 32-bit arch.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 04 Dec 2015 09:49:43 +0000

opengm (2.3.6-1) unstable; urgency=low

  * Initial release. Closes: #801971

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 20 Oct 2015 18:20:38 +0100
