=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/opengm-$1\.tar\.gz/ \
https://github.com/opengm/opengm/tags .*/v?(\d\S*)\.tar\.gz
